%define upstream_name    Error-Base
%define upstream_version v0.1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Examples of Error::Base usage
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Error/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(overload)
BuildRequires: perl(version) >= 0.940.0
BuildArch:  noarch

%description
    _J'avais cru plus difficile de mourir._ -- Louis XIV

Die early, die often. Make frequent sanity checks and die when a check
fails. See neat dumps of the caller stack with each error. Construct a
group of error messages in one object or write error text _ad hoc_. Trap an
error object and examine the contents; or let it tell its sad tale and end
it.

Error::Base usage can be simple or complex. For quick sanity checks,
construct and throw a simple fatal error in one line. At the other extreme,
you can override methods in your own error subclasses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml README demo
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Nov 20 2011 kharec <kharec> 0.1.4-1.mga2
+ Revision: 169680
- update to v0.1.4
- re-enable check for preparing update.

* Sat Nov 19 2011 kharec <kharec> 0.1.3-1.mga2
+ Revision: 169203
- disable check
- update to v0.1.3

* Sat Nov 19 2011 kharec <kharec> 0.1.1-1.mga2
+ Revision: 169121
- remove another test woho breaks build without any apparent reason ...
- remove two tests which fails
- imported package perl-Error-Base


* Sat Nov 19 2011 cpan2dist v0.1.1-1mga
- initial mageia release, generated with cpan2dist
